TemplateParseException (Groovy 2.4.12)
Date: 2017-06-21

groovy.text

## Class TemplateParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.text.TemplateParseException

- All Implemented Interfaces:
    Serializable

      public class TemplateParseException
      extends RuntimeException

  A custom exception class to flag template parsing errors
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateParseException(int lineNumber, int column)`
    `TemplateParseException(String message, int lineNumber, int column)`
    `TemplateParseException(String message, Throwable cause, int lineNumber, int column)`
    `TemplateParseException(Throwable t, int lineNumber, int column)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumn()`
    `int` | `getLineNumber()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateParseException

          public TemplateParseException(int lineNumber,
                                        int column)

    - #### TemplateParseException

          public TemplateParseException(String message,
                                        int lineNumber,
                                        int column)

    - #### TemplateParseException

          public TemplateParseException(String message,
                                        Throwable cause,
                                        int lineNumber,
                                        int column)

    - #### TemplateParseException

          public TemplateParseException(Throwable t,
                                        int lineNumber,
                                        int column)

  - ### Method Detail

    - #### getLineNumber

          public int getLineNumber()

    - #### getColumn

          public int getColumn()